package com.ruoyi.system.utils.jsch;

import com.ruoyi.system.domain.SnServer;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

public class GeneratedSSLUtil {
   public static List<String> readNames(SnServer server, String domain) {
      ServiceShell shell = new ServiceShell();
      List<String> list = new ArrayList();

      try {
         shell.connect(server.getIp(), server.getUserName(), server.getDePassword(), server.getPort());
         String returnLog = shell.executeCommand("sudo ls /etc/letsencrypt/archive/" + domain);
         String[] arrs = returnLog.split("\n");
         list = (List)Arrays.stream(arrs).filter((tmp) -> {
            return tmp.contains("fullchain");
         }).collect(Collectors.toList());
         shell.disconnect();
      } catch (Exception var6) {
         shell.disconnect();
      }

      return (List)list;
   }
}
